Skip to main content
Resource Center/Hardware/Host Operations
PUTHost OperationsSince 4.7.0SynchronousAuth Required

UpdateBonding

UpdateBonding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatebondingObjectRequired

    updatebonding request body object.

    • slaveUuidsList

      Optional. The slave NIC UUIDs list.

    • slaveNamesList

      Optional. The slave name list.

    • typeString

      Optional. The bond type.

    • modeString

      Optional. The bond mode.

    • xmitHashPolicyString

      Optional. The hash policy.

    • descriptionString

      Optional. The resource description.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/hosts/bondings/{uuid}/actions

/zstack/v1/hosts/bondings/{uuid}/actions

Operation ID

UpdateBonding

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/hosts/bondings/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatebonding":{"slaveUuids":["<slaveUuids>"],"slaveNames":["<slaveNames>"],"type":"<type>","mode":"<mode>","xmitHashPolicy":"<xmitHashPolicy>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history